﻿.openings-wrapper {
    display: flex;
    flex-direction: column;
}

.openings-headline {
    width: 100%;
    margin-bottom: 2rem;
}

.openings-list {
    width: 100%;
}

@media (min-width: 768px) {
    .openings-wrapper {
        flex-direction: row;
    }

    .openings-headline {
        width: 25%;
        margin-bottom: 0;
    }

    .openings-list {
        width: 75%;
    }
}

.vacancy-item {
    margin-bottom: 1rem;
    border-bottom: 1px solid #3a3a3a;
}

.vacancy-toggle {
    background: none;
    border: none;
    width: 100%;
    text-align: left;
    padding: 0;
    cursor: pointer;
    position: relative;
    display: flex;
    justify-content: space-between;
    align-items: center;
}

    .vacancy-toggle h3 {
        font-size: 19px;
        padding: 10px 0;
        margin: 0;
        padding: 10px;
        padding-right: 0;
        padding-left: 0;
        padding-bottom: 10px;
        margin-bottom: 10px;
    }

.vacancy-read-more {
    display: flex;
    align-items: center;
    gap: 8px;
    flex-shrink: 0;
}

    .vacancy-read-more svg {
        flex-shrink: 0;
        height: var(--arrowHeight);
        width: var(--arrowWidth);
        transition: var(--arrowTransition);
    }

.vacancy-toggle[aria-expanded="true"] .vacancy-arrowDown {
    transform: rotate(180deg);
}

.vacancy-content {
    overflow: hidden;
    max-height: 0;
    transition: max-height 0.25s ease-out;
}

    .vacancy-content[aria-hidden="false"] {
        max-height: 1000px;
    }

.vacancy-toggle[aria-expanded="true"] .fa-angle-up {
    transform: rotate(0deg);
}

.vacancy-toggle[aria-expanded="false"] .fa-angle-up {
    transform: rotate(180deg);
}
